com.unitech.lib.engine.types

## Enum HIDKeyboardLanguage

- java.lang.Object
- - java.lang.Enum<HIDKeyboardLanguage>
  - - com.unitech.lib.engine.types.HIDKeyboardLanguage

- All Implemented Interfaces:
    Serializable, Comparable<HIDKeyboardLanguage>

      public enum HIDKeyboardLanguage
      extends Enum<HIDKeyboardLanguage>

  The HIDKeyboardLanguage enum represents different types of HID keyboard languages. Each HID keyboard language is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a HID keyboard language, and to get a HID keyboard language from its byte value. It also provides a method to get an array containing the names of the HID keyboard languages.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `altMode`
    `belgium`
    `danish`
    `french`
    `german`
    `italian`
    `japanese`
    `norwegian`
    `partialALT`
    `spanish`
    `swedish`
    `swiss`
    `uk`
    `us`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HIDKeyboardLanguage` | `fromValue(int value)` Gets a HID keyboard language from its byte value.
    `byte` | `getCode()` Gets the byte value of the HID keyboard language.
    `static String[]` | `names()` Returns an array containing the names of the HID keyboard language constants.
    `String` | `toString()` Returns the string message of the HID keyboard language.
    `static HIDKeyboardLanguage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HIDKeyboardLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### us

          public static final HIDKeyboardLanguage us

    - #### uk

          public static final HIDKeyboardLanguage uk

    - #### swiss

          public static final HIDKeyboardLanguage swiss

    - #### swedish

          public static final HIDKeyboardLanguage swedish

    - #### spanish

          public static final HIDKeyboardLanguage spanish

    - #### norwegian

          public static final HIDKeyboardLanguage norwegian

    - #### italian

          public static final HIDKeyboardLanguage italian

    - #### german

          public static final HIDKeyboardLanguage german

    - #### french

          public static final HIDKeyboardLanguage french

    - #### altMode

          public static final HIDKeyboardLanguage altMode

    - #### danish

          public static final HIDKeyboardLanguage danish

    - #### partialALT

          public static final HIDKeyboardLanguage partialALT

    - #### japanese

          public static final HIDKeyboardLanguage japanese

    - #### belgium

          public static final HIDKeyboardLanguage belgium

  - ### Method Detail

    - #### values

          public static HIDKeyboardLanguage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HIDKeyboardLanguage c : HIDKeyboardLanguage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HIDKeyboardLanguage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the HID keyboard language.
      Returns:
        The byte value of the HID keyboard language.

    - #### toString

          public String toString()

      Returns the string message of the HID keyboard language.
      Overrides:
        `toString` in class `Enum<HIDKeyboardLanguage>`
      Returns:
        The string message of the HID keyboard language.

    - #### fromValue

          public static HIDKeyboardLanguage fromValue(int value)
                                               throws IllegalArgumentException

      Gets a HID keyboard language from its byte value.
      Parameters:
        `value` - The byte value of the HID keyboard language.
      Returns:
        The HID keyboard language associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any HID keyboard language.

    - #### names

          public static String[] names()

      Returns an array containing the names of the HID keyboard language constants.
      Returns:
        An array containing the names of the HID keyboard language constants.